Subject: Re: Cannot build executable
From: [email-masked] (Dcosper)

17 Mar 1998 06:08:25 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

Wayne Walker wrote:

> Can anyone see what I'm doing wrong?  The error looks like it is parsing
> the arguments to gcc wrong.  It appears to be attempting to open a file
> name -lsocket rather than libsocket.a
>
> This is what I get when I try my first build with the cdk (b18, because
> my programs will HAVE to exec Win32 apps without closing file
> descriptors).  GCC_EXEC_PREFIX is set to:
>
> C:\gnuwin32\H-i386-cygwin32\lib\gcc-lib\
>
> I loaded in the default location.
>
> bash$ make httpsvc
> gcc -o httpsvc httpsvc.o sgi_utils.o -L/gnuwin32/b18/H-i386-cygwin32/i386-cygwin32/lib/  -lsocket -lresolv -lnsl -lucb
> /gnuwin32/b18/H-i386-cygwin32/i386-cygwin32/bin/ld.exe: cannot open -lsocket: No such file or directory
> gcc: Internal compiler error: program ld got fatal signal 1
> make: *** [httpsvc] Error 1

I get that same error and have to actually change the make files to show something like this

LIBS = /cygnus/B18/H-i386-cygwin32/i386-cygwin32/lib/libsoket.a
or i do the linking manually at bash..
I would like to know why this does this too. I have messed with some of the files contained
in the cdk but then who hasent ???

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".